disp(' n = 300;');
disp(' s = .02;');
disp(' nframes = 100;');
disp(' x = rand(n,1)-0.5;');
disp(' y = rand(n,1)-0.5;');
disp(' h = plot(x,y,''.'');');
disp(' axis([-1 1 -1 1])');
disp(' axis square');
disp(' grid off');
disp(' M = moviein(nframes);');
disp(' for k = 1:nframes');
disp('   x = x + s*randn(n,1);');
disp('   y = y + s*randn(n,1);');
disp('   set(h,''XData'',x,''YData'',y)');
disp('   M(:,k) = getframe;');
disp('end');
disp(' ');
disp('In der for-Schleife werden Bilder erzeugt');
disp('und gespeichert (Bildfolge ruckartig)');
disp('Start mit [Eingabetaste]');
pause
n = 300;
s = .02;
nframes = 50;
x = rand(n,1)-0.5;
y = rand(n,1)-0.5;
h = plot(x,y,'.');
axis([-1 1 -1 1])
axis square
grid off
title('Brownsche Bewegung');
M = moviein(nframes);
for k = 1:nframes
   x = x + s*randn(n,1);
   y = y + s*randn(n,1);
   set(h,'XData',x,'YData',y);
   M(:,k) = getframe;
end
disp(' ');
disp('Film luft jetzt 3 mal');
disp('movie(M,3)');
disp('Start mit [Eingabetaste]');
pause
movie(M,3)
disp('Fertig')
pause
exit