clear; close all;
disp(' % Zunchst wird die Matrix A eingegeben:');

disp(' A = [-2 0 6 -6; -5 3 5 -5; -1 1 5 -3; -1 1 1 1]');

A = [-2 0 6 -6; -5 3 5 -5; -1 1 5 -3; -1 1 1 1]
disp(' % Mit der Funktion [V W] = eig(A) erhlt man eine Matrix mit den Eigenwerten (W)');
disp(' % und eine Matrix mit den Eigenvektoren (V).');
disp(' [V W] = eig(A)');
[V W]=eig(A)
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt das gleiche mit inv(A)');
disp(' B = inv(A)');
B = inv(A)
disp(' [V W] = eig(B)');
[V W]=eig(B)
disp(' % Die Eigenvektoren sind genau die gleichen wie bei der Matrix A, bei den ');
disp(' % Eigenwerten gilt: lambda von inv(A) = 1 / lambda von A.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt das gleiche mit A^2');
disp(' C = A^2');
C = A^2
disp(' [V W] = eig(C)');
[V W]=eig(C)
disp(' % Die Eigenvektoren sind nicht die der Matrix A. Da 4 ein doppelter Eigenwert');
disp(' % ist gibt es aber mehrere Lsungen, also stimmen auch die von A. Bei den');
disp(' % Eigenwerten gilt: lambda von A^2 = (lambda von A)^2.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt das gleiche mit A - 0.5*I');
disp(' D = A - 0.5*eye(4)');
D = A - 0.5*eye(4)
disp(' [V W] = eig(D)');
[V W]=eig(D)
disp(' % Die Eigenvektoren sind genau die gleichen wie bei der Matrix A, bei den ');
disp(' % Eigenwerten gilt: lambda von (A - 0.5*I) = (lambda von A) - 0.5');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt das gleiche mit A^2 + 3*A - 4*I');
disp(' E = A^2 + 3*A - 4*eye(4)');
E = A^2 + 3*A - 4*eye(4)
disp(' [V W] = eig(E)');
[V W]=eig(E)
disp(' % Die Eigenvektoren sind genau die gleichen wie bei der Matrix A, bei den ');
disp(' % Eigenwerten gilt: lambda von (A^2 + 3*A - 4*I) = (lambda von A)^2 +');
disp(' % + 3*(lambda von A) - 4.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt das gleiche mit A^2 - 3*A + 4*I');
disp(' F = A^2 - 3*A + 4*eye(4)');
F = A^2 - 3*A + 4*eye(4)
disp(' [V W] = eig(F)');
[V W]=eig(F)
disp(' % Die Eigenvektoren sind genau die gleichen wie bei der Matrix A, bei den ');
disp(' % Eigenwerten gilt: lambda von (A^2 - 3*A + 4*I) = (lambda von A)^2 -');
disp(' % - 3*(lambda von A) + 4. (Nur Reihenfolge vertauscht.)');
pause
exit