clear; close all;
disp(' % Zunchst werden die x-, y- und z-Werte der Punkte eingegeben:');

disp(' x = [1 2 3 2 2];');

x=[1 2 3 2 2];
disp(' y = [2 3 2 1 2];');

y=[2 3 2 1 2];
disp(' z = [-1 -3 5 8 3];');

z=[-1 -3 5 8 3];
disp('');
disp(' % Nun wird eine Matrix der Form [1 x y] gebraucht.');

disp(' A = [ones(5,1) x'' y'']');

A=[ones(5,1) x' y']
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun werden die Koeffizienten k = [k1 k2 k3]'' mit der Methode der kleinsten');
disp(' % Quadrate berechnet.');
disp(' AA = A''*A;');
disp(' bb = A''*z'';');
disp(' A1 = [AA bb];');
disp(' K = rref(A1)');
AA=A'*A;
bb=A'*z';
A1=[AA bb];
K=rref(A1)
disp(' % Das System ist eindeutig lsbar.');
disp(' k = AA\bb');
k=AA\bb
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt wird die Ebene noch gezeichnet:');
disp(' % Zunchst die angegebenen Punkte als schwarze Rauten.');
disp(' plot3(x,y,z,''kd'');');
plot3(x,y,z,'kd');
disp(' hold on;');
hold on;
disp('');
disp(' % Dann die Ebene. Dazu wird eine 3D-Umgebung gebraucht.');
disp(' [X,Y] = meshgrid(1:0.1:3);');
[X,Y]=meshgrid(1:0.1:3);
disp('');
disp(' % Dann werden die dazugehrigen z-Werte ausgerechnet.');
disp(' Z = k(1) + k(2)*X + k(3)*Y;');
Z = k(1) + k(2)*X + k(3)*Y;
disp('');
disp(' mesh(X,Y,Z);');
mesh(X,Y,Z);
disp('');
disp(' % Jetzt werden noch die Achsen beschriftet:');
disp(' xlabel(''x'')');
disp(' ylabel(''y'')');
disp(' zlabel(''z'')');
disp(' title(''Approximation durch eine Ebene'')');
xlabel('x');
ylabel('y');
zlabel('z');
title('Approximation durch eine Ebene');
pause
exit
