clear; close all;
disp(' % Als erstes wird die Sterbetafel eingelesen und abgespeichert.');
disp(' load sterbewk.dat;');
disp(' alter = sterbewk(:,1);');
disp(' mann = sterbewk(:,2);');
disp(' frau = sterbewk(:,3);');
load sterbewk.dat;
alter=sterbewk(:,1);
mann=sterbewk(:,2);
frau=sterbewk(:,3);
disp('');
disp(' % Nun werden die Kurven gezeichnet.');
disp(' figure(1);');
disp(' plot(alter(1:60),mann(1:60),''b'');');
disp(' hold on;');
disp(' plot(alter(1:60),frau(1:60),''r'');');
figure(1);
plot(alter(1:60),mann(1:60),'b');
hold on;
plot(alter(1:60),frau(1:60),'r');
disp('Weiter mit Return');
pause
disp('');
disp(' figure(2);');
disp(' plot(alter(10:30),mann(10:30),''b'');');
disp(' hold on;');
disp(' plot(alter(10:30),frau(10:30),''r'');');
figure(2);
plot(alter(10:30),mann(10:30),'b');
hold on;
plot(alter(10:30),frau(10:30),'r');
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun werden die mittleren Lebenserwartungen der Mnner berechnet.');
disp(' % Man braucht einen Vektor fr die Anzahl der Lebenden. ');
disp(' LM = zeros(100,1);');
disp(' % Dann wird die Grundgesamtheit als erster Wert eingetragen.');
disp(' LM(1) = 1000000;');
disp(' % Jetzt werden in einer for-Schleife mit der angegebenen Formel die restlichen');
disp(' % Anzahlen der Lebenden berechnet.');
disp(' for n = 2:100,');
disp(' 	LM(n) = LM(n-1)*(1-mann(n-1));');
disp(' end;');
LM=zeros(100,1);
LM(1)=1000000;
for n=2:100,
   LM(n)=LM(n-1)*(1-mann(n-1));
end;
disp('Weiter mit Return');
pause
disp('');
disp(' % Dann wird wie angegeben mit der Summe der zuknftigen Lebenden die mittlere');
disp(' % Lebenserwartung der einzelnen Alter berechnet.');
disp(' MittLe20 = sum(LM(21:100))/LM(20)+0.5');
MittLe20=sum(LM(21:100))/LM(20)+0.5
disp(' MittLe40 = sum(LM(41:100))/LM(40)+0.5');
MittLe40=sum(LM(41:100))/LM(40)+0.5
disp(' MittLe60 = sum(LM(61:100))/LM(60)+0.5');
MittLe60=sum(LM(61:100))/LM(60)+0.5
disp(' MittLe80 = sum(LM(81:100))/LM(80)+0.5');
MittLe80=sum(LM(81:100))/LM(80)+0.5
disp(' % Als hat z.B. ein 20-jhriger im Schnitt noch ca. 52 Jahre zu leben.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Zum Schlu wird noch die neue Tabelle erstellt.');
disp(' % Zunchst werden drei neue Vektoren mit den gewnschten Rundungen usw. gebildet.');
disp(' alter2 = [];');
disp(' mann2 = [];');
disp(' frau2 = [];');
disp(' for n = 1:10:91,');
disp(' 	alter2 = [alter2 floor(mean(alter(n:n+9)))];');
disp(' 	mann2 = [mann2 round(1000*mean(mann(n:n+9)))];');
disp(' 	frau2 = [frau2 round(1000*mean(frau(n:n+9)))];');
disp(' end;');
disp(' % Die Vektoren werden gleich in einer Matrix gespeichert.');
disp(' Sterbe2 = [alter2'' mann2'' frau2'']');
alter2 = [];
mann2 = [];
frau2 = [];
for n = 1:10:91,
   alter2 = [alter2 floor(mean(alter(n:n+9)))];
   mann2 = [mann2 round(1000*mean(mann(n:n+9)))];
   frau2 = [frau2 round(1000*mean(frau(n:n+9)))];
end;
Sterbe2 = [alter2' mann2' frau2']
disp('');
disp(' !md C:\sterbewk    % legt den neuen Ordner an');
!md C:\sterbewk
disp(' % Nun wird diese Matrix im Ascii-Format abgespeichert.');
disp(' save ''C:\sterbewk\Sterbe2'' Sterbe2 -ascii   % speichert die Matrix darin ab');
save 'C:\sterbewk\Sterbe2' Sterbe2 -ascii
pause
exit
