clear; close all;
disp(' % Als erstes werden die Daten in den Vektoren x und y gespeichert.');
disp(' x = [1650 1750 1800 1850 1900 1960 1975 2000]/1000;');
x = [1650 1750 1800 1850 1900 1960 1975 2000]/1000;
disp(' y = [0.545 0.728 0.906 1.171 1.608 2.995 3.828 6.2671];');
y = [0.545 0.728 0.906 1.171 1.608 2.995 3.828 6.2671];
disp('');
disp(' % Dann wird gezeichnet.');
disp(' semilogy(x,y,''ob'');');
semilogy(x,y,'ob');
disp(' hold on;');
hold on;
disp(' title(''Weltbewlkerung in Milliarden'');');
title('Weltbewlkerung in Milliarden');
disp('');
disp(' % Jetzt wird der Vektor t gebraucht.');
disp(' t = linspace(1.600,2.100,501);');
t = linspace(1.600,2.100,501);
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun wird die Polynominterpolation gemacht.');
disp(' % Mit 8 Wertepaaren kann man die 8 Koeffizienten eines Polynom 7.Grades berechnen.');
disp(' a = polyfit(x,y,7);');
disp(' z = polyval(a,t);'); 
disp(' semilogy(t,z,''b'');');
a=polyfit(x,y,7);
z=polyval(a,t);
semilogy(t,z,'b');
disp('Weiter mit Return');
pause
disp('');
disp(' % Jetzt noch die Exponentialfunktion.');
disp(' y1 = log(y);');
disp(' b = polyfit(x,y1,7);');
disp(' z1 = polyval(b,t);');
disp(' z = exp(z1);');
disp(' semilogy(t,z,''g'');');
y1=log(y);
b=polyfit(x,y1,7);
z1=polyval(b,t);
z=exp(z1);
semilogy(t,z,'g');
pause
exit


