clear; close all;
disp(' % Zunchst muss das Funktion-File geschrieben werden:');
disp('');
disp(' function y = fakultaet(x)');
disp(' y = gamma(x+1);');
disp('');
disp(' % Nun werden die Funktionen x! und 1/x! gezeichnet.');
disp(' x = linspace(-pi,pi,501);');
disp(' y = fakultaet(x);');
disp(' plot(x,y,''r'',x,1./y,''m'');');
disp(' hold on;');
disp(' title(''x! (Fakultt) und 1/x!'');');
x=linspace(-pi,pi,501);
y=fakultaet(x);
plot(x,y,'r',x,1./y,'m'); hold on;
title('x! (Fakultt) und 1/x!');
disp(' % Jetzt werden noch die Achsen festgelegt und gezeichnet.');
disp(' axis([-pi pi -5 7]);');
disp(' plot([-pi pi],[0 0],''k'',[0 0],[-5 7],''k'',0,0,''ok'');');
axis([-pi pi -5 7]);
plot([-pi pi],[0 0],'k',[0 0],[-5 7],'k',0,0,'ok');
disp('Weiter mit Return');
pause
disp('');
disp(' % Dann werden die Integrale berechnet.');
disp(' I1 = quad8(''fakultaet'',0,3)');
I1 = quad8('fakultaet',0,3)
disp(' I2 = quad8(inline(''1./fakultaet(x)''),-3,-2)');
I2 = quad8(inline('1./fakultaet(x)'),-3,-2)
disp('Weiter mit Return');
pause
disp('');
disp(' % Zum Schlu werden noch die Extremwerte von x! gesucht und ausgegeben.');
disp(' min = fmins(''fakultaet'',0)');
disp(' plot(min,fakultaet(min),''pb'');');
disp(' min = fmins(inline(''-fakultaet(x)''),-1.5)');
disp(' plot(min,fakultaet(min),''pb'');');
disp(' min = fmins(''fakultaet'',-2.5)');
disp(' plot(min,fakultaet(min),''pb'');');
min = fmins('fakultaet',0)
plot(min,fakultaet(min),'pb');
min = fmins(inline('-fakultaet(x)'),-1.5)
plot(min,fakultaet(min),'pb');
min = fmins('fakultaet',-2.5)
plot(min,fakultaet(min),'pb');
pause
exit

