clear; close all;
disp(' % Aus den Gleichungen erhlt man die Koeffizientenmatrix A und die rechte Seite b:');
disp(' A = [10 -1 0 0 0 0; -1 10 -1 0 0 0; 0 -1 10 -1 0 0; 0 0 -1 10 -1 0;');
disp(' 	0 0 0 -1 10 -1; 0 0 0 0 -1 10]');
A = [10 -1 0 0 0 0; -1 10 -1 0 0 0; 0 -1 10 -1 0 0; 0 0 -1 10 -1 0;
   0 0 0 -1 10 -1; 0 0 0 0 -1 10]
disp(' b = [10 0 10 0 10 10]''');
b = [10 0 10 0 10 10]'
disp(' % Beim Gesamtschrittverfahren handelt es sich um das Gau-Jacobi-Verfahren:');
disp(' % Die Matrix A wird in eine Diagonalmatrix, eine obere und eine untere');
disp(' % Dreiecksmatrix ohne Diagonale zerlegt: A = D - (L+R)');
disp(' D = diag(diag(A));');
D = diag(diag(A));
disp(' L = -(tril(A)-D);');
L = -(tril(A)-D);
disp(' R = -(triu(A)-D);');
R = -(triu(A)-D);
disp('Weiter mit Return');
pause
disp('');
disp(' % Durch Umformen von Ax=b kommt man zu: x = inv(D)*(L+R)*x + inv(D)*b');
disp(' % Als Startvektor wird der Nullvektor genommen.');
disp(' x = zeros(6,1);');
x = zeros(6,1);
disp(' for k = 1:6');
disp(' 	k = k');
disp(' 	x = inv(D)*(L+R)*x + inv(D)*b');
disp('	disp(''Weiter mit Return'');');
disp(' 	pause');
disp(' end');
for k = 1:6
   k=k
   x = inv(D)*(L+R)*x + inv(D)*b
	disp('Weiter mit Return');
 	pause
end
disp(' % Zum Vergleich die Lsung auf direktem Weg:');
disp(' z = A\b');
z = A\b
pause
exit
