clear; close all;
disp(' % Aus den Gleichungen erhlt man die Koeffizientenmatrix A und die rechte Seite b:');
disp(' A = [50 -1 0; 1 -100 2; 0 2 50]');
A = [50 -1 0; 1 -100 2; 0 2 50]
disp(' b = [149 -101 -98]''');
b = [149 -101 -98]'
disp(' % Die exakte Lsung lautet:');
disp(' z = A\b');
z = A\b
disp('Weiter mit Return');
pause
disp('');
disp(' % Zuerst das Gau-Jacobi-Verfahren:');
disp(' % Die Matrix A wird in eine Diagonalmatrix, eine obere und eine untere');
disp(' % Dreiecksmatrix ohne Diagonale zerlegt: A = D - (L+R)');
disp(' D = diag(diag(A));');
D = diag(diag(A));
disp(' L = -(tril(A)-D);');
L = -(tril(A)-D);
disp(' R = -(triu(A)-D);');
R = -(triu(A)-D);
disp(' % Durch Umformen von Ax=b kommt man zu: x = inv(D)*(L+R)*x + inv(D)*b');
disp(' % Der Startvektor ist der Nullvektor.');
disp(' x = zeros(3,1);');
x = zeros(3,1);
disp('Weiter mit Return');
pause
disp('');
disp(' k = 0;');
k=0;
disp(' abw = 1;');
abw=1;
disp(' % Zur Berechnung der Abweichung wird die Norm (= Betrag des Vektors) verwendet.');
disp(' while abw > 0.001');
disp(' 	k = k + 1');
disp(' 	x = inv(D)*(L+R)*x + inv(D)*b');
disp('	abw = (norm(z)-norm(x))/norm(z)');
disp('	disp(''Weiter mit Return'');');
disp(' 	pause');
disp(' end');
while abw > 0.001
   k=k+1
   x = inv(D)*(L+R)*x + inv(D)*b
   abw = (norm(z)-norm(x))/norm(z)
   disp('Weiter mit Return');
 	pause
end
disp('');
disp(' % Nun das Gau-Seidel-Verfahren:');
disp(' % Die Matrix A wird auch in eine Diagonalmatrix, eine obere und eine untere');
disp(' % Dreiecksmatrix ohne Diagonale zerlegt: A = D - L - R');
disp(' % Hier wird Ay=b anders umgeformt: y = inv(D-L)*R*y + inv(D-L)*b');
disp(' % Der Startvektor ist wieder der Nullvektor:');
disp(' y = zeros(3,1);');
y = zeros(3,1);
disp('Weiter mit Return');
pause
disp('');
disp(' k = 0;');
k=0;
disp(' abw = 1;');
abw=1;
disp(' while abw > 0.001');
disp(' 	k = k + 1');
disp(' 	y = inv(D-L)*R*y + inv(D-L)*b');
disp('	abw = (norm(z)-norm(y))/norm(z)');
disp('	disp(''Weiter mit Return'');');
disp(' 	pause');
disp(' end');
while abw > 0.001
   k=k+1
   y = inv(D-L)*R*y + inv(D-L)*b
   abw = (norm(z)-norm(y))/norm(z)
   disp('Weiter mit Return');
 	pause
end
disp('');
disp(' % Bei beiden Verfahren weicht die Nherungslsung schon nach zwei Schritten ');
disp(' % um weniger als 0.001 ab. ');
disp('');
disp(' % Die Ergebnisse zum Vergleichen:');
disp(' Loesungen = [x y z]');
Loesungen = [x y z]
pause
exit
